Skip to main content

Get Checks by Check Trans ID

Suggest Edits


Overview

Retrieves all checks associated with the specified Ahrvo service transaction ID or a list of Ahrvo service transaction IDs. This endpoint allows you to query one or multiple checks using the system-generated check transaction identifiers.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetChecksByCheckTransID

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetChecksByCheckTransID

Arguments

AttributeMandatory / Optional
checkTransIDMandatory
returnCustomFieldsOptional
inBehalfOptional

Example Request (Single ID)

curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetChecksByCheckTransID \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-H "x-api-key: {apiKey}" \
-d '{
"checkTransID": "15208880",
"returnCustomFields": "0",
"inBehalf": ""
}'

Example Request (Multiple IDs)

curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetChecksByCheckTransID \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-H "x-api-key: {apiKey}" \
-d '{
"checkTransID": ["15208880", "15208881", "15208882"],
"returnCustomFields": "0",
"inBehalf": ""
}'

Example Response

{
"errorCode": 0,
"errorMessage": "",
"bankName": "Chase",
"bankAlias": "Chase - Main",
"accountLast4": "7002",
"checkInfo": [
{
"BatchID": "320851",
"BundleID": "320851-1",
"CheckTransID": "15208880",
"MerchantTransID": "mtid-50021",
"CheckNumber": "1001",
"Amount": "120.05",
"FirstName": "Amalthea",
"LastName": "Tethys",
"SentStatus": "Sent",
"ProcessingStatus": "Processed",
"TrackingNumber": "38750937595975098765665757576"
}
]
}

API Documentation